> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Facebook Reels

> 采集公开 Facebook 个人资料中的 Reels。

# Facebook Reels

采集公开 Facebook 个人资料中的 Reels。结果会转换为统一结构，并按实际保存的记录数计费。

```json theme={"system"}
{
  "urls": [
    "https://www.facebook.com/NASA"
  ],
  "results_limit": 20
}
```

## 通过 MCP 使用

| 接口          | 值                                               |
| ----------- | ----------------------------------------------- |
| REST        | `POST /v1/facebook/reels`                       |
| Compact MCP | `socq_execute`，并设置 `endpoint: "facebook/reels"` |
| 类型化 MCP     | `socq_facebook_reels`                           |
| 精确工具 URL    | `https://api.socq.ai/mcp?tools=facebook_reels`  |
| CLI         | `socq facebook reels`                           |

使用 `socq_execute` 时，将上面的 JSON 请求体作为 `input` 对象传入；也可以将相同字段直接传给类型化 MCP 工具。类型化 MCP 工具还支持 `_wait_seconds`、`_result_limit` 和 `_idempotency_key`。

<Info>
  提交成功后会返回 `task_id`。继续调用 `socq_get_task` 直到任务成功，然后从 `results.items` 读取标准化记录。
</Info>

完整的提交和轮询流程请参阅 [MCP 快速开始](/zh/integrations/mcp)。

## 任务完成响应

```json theme={"system"}
{
  "code": 200,
  "data": {
    "task_id": "A1B2C3D4E5F6G7H8",
    "status": "succeeded",
    "public_id": "facebook/reels",
    "result_count": 1,
    "credits_amount": 0.7,
    "results": {
      "limit": 50,
      "next_cursor": null,
      "has_more": false,
      "items": [
        {
          "id": "example-id",
          "platform": "facebook",
          "resource": "reels",
          "type": "reel",
          "url": "https://www.facebook.com/example/item",
          "text": "Example public reel content.",
          "author": {
            "id": "author-id",
            "username": "example",
            "name": "Example",
            "url": "https://www.facebook.com/example"
          },
          "metrics": {},
          "media": [],
          "created_at": "2026-07-24T08:00:00",
          "collected_at": "2026-07-24T10:30:00",
          "extra": {}
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/facebook/reels
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-9e02c88be86a
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/facebook/reels:
    post:
      tags:
        - facebook
      summary: Facebook Reels
      description: 采集公开 Facebook 个人资料中的 Reels。
      operationId: socq_facebook_reels
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                callback_url:
                  type: string
                  format: uri
                  description: 可选的任务完成回调 URL。
                results_limit:
                  type: integer
                  minimum: 20
                  maximum: 2000
                  default: 100
                  description: 最多保存的结果数，实际结果可能少于该值。
                urls:
                  type: array
                  items:
                    type: string
                    minLength: 1
                  description: 公开内容、主页或商品 URL 列表。每个 URL 分别应用结果数量上限，至少提供 1 项。
              required:
                - urls
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
            idempotent_replay:
              type: boolean
              description: 是否复用了由相同 Idempotency-Key 创建的已有任务。false 表示新任务，true 表示重复提交返回原任务。
          required:
            - task_id
            - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````